twitter4j

## Class HttpResponseEvent

- java.lang.Object
- - twitter4j.HttpResponseEvent

    public final class HttpResponseEvent
    extends Object

Author:
  Andrew Hedges - andrew.hedges at gmail.com

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`HttpRequest` `getRequest()` returns the request associated with the event
`HttpResponse` `getResponse()` returns the response associated with the event
`TwitterException` `getTwitterException()` returns the TwitterException associated with the event
`int` `hashCode()`
`boolean` `isAuthenticated()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getRequest

    public HttpRequest getRequest()

returns the request associated with the event

Returns:
  the request associated with the event

#### getResponse

    public HttpResponse getResponse()

returns the response associated with the event

Returns:
  the response associated with the event

#### getTwitterException

    public TwitterException getTwitterException()

returns the TwitterException associated with the event

Returns:
  the TwitterException associated with the event

#### isAuthenticated

    public boolean isAuthenticated()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`